MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Functions
Volume.hxx File Reference
`#include "Compiler.h"`
Include dependency graph for Volume.hxx:

Go to the source code of this file.

## Functions
void | InvalidateHardwareVolume ()
gcc_pure int | volume_level_get (const MultipleOutputs &outputs)
bool | volume_level_change (MultipleOutputs &outputs, unsigned volume)
bool | read_sw_volume_state (const char *line, MultipleOutputs &outputs)
void | save_sw_volume_state (BufferedOutputStream &os)
gcc_pure unsigned | sw_volume_state_get_hash ()
| Generates a hash number for the current state of the software volume control. More...

## Function Documentation

void InvalidateHardwareVolume | ( |  | ) |

bool read_sw_volume_state | ( | const char * | line,
|  | MultipleOutputs & | outputs
| ) |  |

void save_sw_volume_state | ( | BufferedOutputStream & | os | ) |

gcc_pure unsigned sw_volume_state_get_hash | ( |  | ) |

Generates a hash number for the current state of the software volume control.

This is used by timer_save_state_file() to determine whether the state has changed and the state file should be saved.

bool volume_level_change | ( | MultipleOutputs & | outputs,
|  | unsigned | volume
| ) |  |

gcc_pure int volume_level_get | ( | const MultipleOutputs & | outputs | ) |